package com.spring.infra.security.config;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum PermittedURI {
    
    ROOT_URI("/"),
    H2_CONSOLE_URI("/h2-console/**"),
    FAVICON_URI("/favicon.ico"),
    USER_CONFLICT_URI("/api/user/conflict/{userId}"),
    USER_SIGN_UP("/api/user/sign-up"),
    PASSWOD_CHANGE("/api/user/change-password"),
    USER_SIGN_IN("/sign-in"),
    USER_SIGN_OUT("/sign-out");

    private final String uri;
}
